Name:           fuse-encfs
Version:        1.9.5
Release:    1%{?dist}
Summary:        Encrypted pass-thru filesystem in userspace

License:        GPLv3+
Url:            http://www.arg0.net/encfs
Source0:        https://github.com/vgough/encfs/releases/download/v%{version}/encfs-%{version}.tar.gz

Requires:       fuse >= 2.6
Provides:       encfs = %{version}-%{release}
Provides:       encfs = %{version}-%{release}

BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(openssl)
BuildRequires:  cmake
BuildRequires:  pkgconfig(fuse) >= 2.6
BuildRequires:  gettext-devel >= 0.18
BuildRequires:  libtool
BuildRequires:  libattr-devel
BuildRequires:  perl(Locale::TextDomain)
BuildRequires:  pkgconfig(tinyxml2)

%description
EncFS implements an encrypted filesystem in userspace using FUSE.  FUSE
provides a Linux kernel module which allows virtual filesystems to be written
in userspace.  EncFS encrypts all data and filenames in the filesystem and
passes access through to the underlying filesystem.  Similar to CFS except that
it does not use NFS.

%prep
%autosetup -n encfs-%{version}
rm -rf vendor/github.com/leethomasson
mkdir %{_target_platform}

%build
%cmake \
    -DCMAKE_SKIP_RPATH=ON \
    -DBUILD_STATIC_LIBS=OFF \
    -DBUILD_SHARED_LIBS=ON \
    -DINSTALL_LIBENCFS=ON \
    -DUSE_INTERNAL_TINYXML=OFF

%cmake_build

%install
%cmake_install
rm -f %{buildroot}/%{_libdir}/*.la
rm -f %{buildroot}/%{_libdir}/*.so

%find_lang encfs

%files -f encfs.lang
%doc AUTHORS ChangeLog README.md
%license COPYING COPYING.GPL
%{_bindir}/encfs*
%{_libdir}/libencfs.so.*
%{_mandir}/man1/encfs*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.5-1
- initial build
